MineTogether
minetogether
Public MineTogether server listing and invite requests.
Get servers
PUT
Public
Lists MineTogether servers for a CurseForge project.
Request URL
https://api.creeper.host/minetogether/listHeaders
Content-Type: application/jsonRequest body
{
"projectid": 283861,
"hash": "unique-client-hash"
}
Response 200
[
{
"id": 1,
"name": "Server name",
"invite": false,
"project": 0,
"ip": "127.0.0.1",
"api_version": 2,
"expected_players": 0,
"location": {
"country": "United States",
"country_code": "US",
"city": "Buffalo",
"continent": "North America",
"subdivision": "New York"
},
"uptime": 120398,
"port": 25565
}
]
Update server
PUT
Public
Publishes or updates a MineTogether server listing.
Request URL
https://api.creeper.host/minetogether/updateHeaders
Content-Type: application/jsonRequest body
{
"name": "Server Name",
"port": 25565,
"ip": "play.example.com",
"projectid": 283861
}
Response 200
{
"status": "success",
"message": "Server information updated",
"id": "1",
"endPoint": "aries-production-59c48bc84-hpqw4"
}
Invite to server
PUT
Public
Creates an invite link between a client hash and a listed server.
Request URL
https://api.creeper.host/minetogether/inviteHeaders
Content-Type: application/jsonRequest body
{
"id": 1,
"hash": "unique-client-hash"
}
Response 200
{
"status": "success",
"message": "Server information updated",
"id": "1",
"endPoint": "aries-production-59c48bc84-hpqw4"
}
Revoke invite
PUT
Public
Revokes an active MineTogether invite for a client hash.
Request URL
https://api.creeper.host/minetogether/revokeinviteHeaders
Content-Type: application/jsonRequest body
{
"id": 1,
"hash": "unique-client-hash"
}
Response 200
{
"status": "success",
"message": "Server information updated",
"id": "1",
"endPoint": "aries-production-59c48bc84-hpqw4"
}